#include "colors.inc"
#include "metals.inc"
#include "finish.inc"

#declare knotradius=0.5;

#declare knot=
union
{
    cylinder {<-1,-3,-3>,<-1,1,-3>,knotradius}
    sphere {<-1,1,-3>,knotradius}
    cylinder {<-1,1,-3>,<-1,1,3>,knotradius}
    sphere {<-1,1,3>,knotradius}
    cylinder {<-1,1,3>,<3,1,3>,knotradius}
    sphere {<3,1,3>,knotradius}
    cylinder {<3,1,3>,<3,-1,3>,knotradius}
    sphere {<3,-1,3>,knotradius}
    cylinder {<3,-1,3>,<3,-1,-1>,knotradius}
    sphere {<3,-1,-1>,knotradius}
    cylinder {<3,-1,-1>,<-3,-1,-1>,knotradius}
    sphere {<-3,-1,-1>,knotradius}
    cylinder {<-3,-1,-1>,<-3,3,-1>,knotradius}
    sphere {<-3,3,-1>,knotradius}
    cylinder {<-3,3,-1>,<-3,3,1>,knotradius}
    sphere {<-3,3,1>,knotradius}
    cylinder {<-3,3,1>,<1,3,1>,knotradius}
    sphere {<1,3,1>,knotradius}
    cylinder {<1,3,1>,<1,-3,1>,knotradius}
    sphere {<1,-3,1>,knotradius}
    cylinder {<1,-3,1>,<1,-3,-3>,knotradius}
    sphere {<1,-3,-3>,knotradius}
    cylinder {<1,-3,-3>,<-1,-3,-3>,knotradius}
    sphere {<-1,-3,-3>,knotradius}
}

object
{
    knot
    // texture {T_Silver_3C}
    texture { pigment { rgb <0.9,0.4,0.4> } finish { Phong_Dull } }
}

light_source
{
    <4, 5, 6>
    color White
}

background
{
    color White
}

camera
{
    perspective
    location <-8, -8, 8>
    up <0,0,1>
    look_at <0,0,0>
    angle 60
}
